#include <stdio.h>

/* Print the factors of a number (recursively) */
void factor_rec (int n)
{   
    int i = 0;

	/* Stopping criteria */
    if (n == 1)
        return;

    /* Find the smallest divisor of n. */

    for (i = 2 ; i <= n ; i++)
    {
		/* Found a divisor */
        if (n % i == 0) {
			printf(" %d", i);
			while (n % i == 0)
				n = n / i;
			break;
		}
	}

	/* The recursive call */
    factor_rec(n);	
}

int main() 
{
	int n = 0;

	/* Get the number from the user */
	printf("Please enter a positive integer:\n");
	scanf("%d", &n);
	if (n <= 1)
	{
		printf("Illegal input.\n");
		return -1;
	}

	/* Print its prime factors */
    printf("The prime factors of %d are ", n); 
    factor_rec(n);
    printf("\n"); 
    
	return 0;
}